dellmgr not working anymore since upgrade to 1.80 firmware

Matt Domsch Matt_Domsch at Dell.com
Fri Aug 8 23:40:00 CDT 2003


> Would then the megaraid.c module also be broken in the official Linux Kernel
> 2.4.21 which comes from ftp.kernel.org ???

Quite possibly.  1.18f on kernel.org (or at least in the -ac tree)  
received what seemed to be a safe security-related change (essentially, be
sure to zero out a structure before use), however, that struct is
partially owned by the adapter firmware, partially owned by the driver
(suggestions have been submitted to LSI to split this up to make it more
obvious), and it's that change that broke dellmgr and related apps.  As
far as I know, the driver versions on ftp.lsil.com never received this
change, thus still work.

Thanks,
Matt

-- 
Matt Domsch
Sr. Software Engineer, Lead Engineer
Dell Linux Solutions www.dell.com/linux
Linux on Dell mailing lists @ http://lists.us.dell.com




More information about the Linux-PowerEdge mailing list